package com.hisense.monitormanage.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.web.client.RestTemplate;

import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.SocketAddress;

@Configuration
public class RestClient {

    @Bean
    public static RestTemplate restTemplate() {

        SimpleClientHttpRequestFactory requestFactory = new SimpleClientHttpRequestFactory();

        requestFactory.setConnectTimeout(30000);

        requestFactory.setReadTimeout(30000);

        requestFactory.setOutputStreaming(false);

        /*SocketAddress address = new InetSocketAddress("15.2.23.141", 8888);
        Proxy proxy = new Proxy(Proxy.Type.HTTP, address);
        requestFactory.setProxy(proxy);*/

        RestTemplate restTemplate = new RestTemplate();

        restTemplate.setRequestFactory(requestFactory);

        return restTemplate;
    }


}
