package com.hisense.monitormanage.controller;

import com.hisense.monitormanage.dto.UserLoginDto;
import com.hisense.monitormanage.entity.Result;
import com.hisense.monitormanage.service.UserLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("api/project")
public class UserLoginController {

    @Autowired
    private UserLoginService userLoginService;

    @PostMapping("login")
    public Result login(String username, String password) {
        UserLoginDto login = userLoginService.login(username, password);
        Result success = Result.success(login);
        return success;
    }

}
