package com.hisense.monitormanage.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class EventDto {

    private String eventCnName;

    private String eventNewName;

    private String eventSerial;

    private String color;

    private String vehicle;

    private String classes;

    private String cameraName;

    private String district;

    private BigDecimal latitude;

    private BigDecimal longitude;

    private String imageUrl;

    private String taskId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String captureTime;

    private String trackEvent;

}
