package com.hisense.monitormanage.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class WaterPointDto {

    private String waterPointId;

    private String waterPointName;//积水点名称

    private String districtId;//所属区域ID

    private String address;//地址

    private String pointType;//积水点类型1：路段；2：桥下；3：洞内；4：小区

    private String uuid;//地址坐标ID

    private BigDecimal longitude;//经度

    private BigDecimal latitude;//纬度

    private String charge;//负责人

    private String chargeTel;//负责人电话

    private String remark;//备注

    private String delFlag;//删除状态

    private String createdDate;//创建时间

    private String createdBy;//创建人ID

    private String updatedDate;//更新时间

    private String updatedBy;//更新人ID

    private String reportOrigin;//上报来源：auditorReport--水务集团上报；commonReport--群众上报；case--城管案例；video--视频感知

    private String isEasyPoint;//是否易积水点；0是 1否

    private String dispFlag;//0未处置 1处置中 2处置完成

    private String auditFlag;//审核状态；0未审核; 1审核不通过;2审核通过

    private String upNum;//点赞数量

    private String underNum;//点踩数量

    private String addressDesc;//详细地址描述

    private String waterPointDesc;//现场情况说明

    private String pointLevel;//积水点等级1：重度；2：中度；3：轻度；4：无积水

    private String waterPointDepth;//积水点深度

}
