package com.hisense.monitormanage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName CaseCityLaw.java
 * @Description 城市执法案件类
 * @createTime 2022年05月13日 15:32:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_case_cityLaw")
public class CaseCityLaw {

    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime ajjlsj;

    private String dzms;

    private String wtms;

    private String wtlybs;

    private String wtlymc;

    private String ajlxbs;

    private String ajlxmc;

    private String dlbs;

    private String dlmc;

    private String xlbs;

    private String xlmc;

    private String qbs;

    private String qmc;

    private String jdbs;

    private String jdmc;

    private String sqbs;

    private String sqmc;

    private String xzb;

    private String yzb;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime pqsj;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime ajjssj;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime ajzfsj;

    private String czsxcqjaaqjacqwjayqja;

    private String sbtpsl;

    private String cztpsl;

}
