package com.hisense.monitormanage.entity;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("t_crowd_flow")
/**
 * 客流表
 */
public class CrowdFlow {

    @TableId
    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date captureTime;

    /**
     * 总人数
     */
    private Integer cnt;

    /**
     * 访客总人数
     */
    private Integer visitCnt;

    /**
     * 区域总热力数据
     */
    private String totalAreaData;

    /**
     * 区域访客热力数据
     */
    private String visitAreaData;

}
