package com.hisense.monitormanage.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName PassengerFlow.java
 * @Description 实时客流
 * @createTime 2022年05月10日 14:25:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_passenger_flow")
public class PassengerFlow {

    @TableId
    private Integer id;

    private String hourId;

    private String timeId;

    private String longitude;

    private String latitude;

    private String allNums;

    private String localNums;

    private String nonlocalNums;

}
