package com.hisense.monitormanage.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName SedimentTrail.java
 * @Description 渣土车轨迹
 * @createTime 2022年05月09日 13:47:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_trail_sediment")
public class SedimentTrail {

    @TableId
    private Integer id;

    private String speed;

    private String simCardNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime uploadtime;

    private String coordinateX;

    private String coordinateY;

    private double longitude;

    private double latitude;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime recordTime;

    private String angle;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    private String status;

    private String fuel;

}
