package com.hisense.monitormanage.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName TrailSanitation.java
 * @Description 环卫车轨迹类
 * @createTime 2022年05月10日 16:29:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_trail_sanitation")
public class TrailSanitation {

    @TableId
    private Integer id;

    private String simkh;

    private String cph;

    private String wz;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String fssj;

    private String jd;

    private String wd;

    private String sd;

    private Integer fx;

    private String zt;

    private String yl;

    private String lc;

    private String yl2;

    private Integer sfzx;

    private Integer xh;

    private String bjzt;

    private String gd;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String updatetime;

}
