package com.hisense.monitormanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hisense.monitormanage.entity.BuildingSite;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName BuildingSiteMapper.java
 * @Description TODO
 * @createTime 2022年05月12日 13:59:00
 */
@Repository
public interface BuildingSiteMapper extends BaseMapper<BuildingSite> {

    @Select("select * from t_building_site")
    List<BuildingSite> selectBuildSite();

    @Select("select * from t_building_site where channel_code is not null")
    List<BuildingSite> selectByList();
}
