package com.hisense.monitormanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hisense.monitormanage.entity.CameraOrganization;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CameraOrgenizationMapper extends BaseMapper<CameraOrganization> {

    @Select("select * from t_camera_organization where parent_id = #{parentId}")
    List<CameraOrganization> selectSubOrganization(@Param("parentId") String parentId);
}
