package com.hisense.monitormanage.service;

import cn.hutool.crypto.SecureUtil;
import com.hisense.monitormanage.dto.UserLoginDto;
import com.hisense.monitormanage.entity.UserLogin;
import com.hisense.monitormanage.mapper.UserLoginMapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Log4j2
public class UserLoginService {

    @Autowired
    private UserLoginMapper userLoginMapper;

    public UserLoginDto login(String username, String password) {
        UserLogin user = userLoginMapper.getUserByName();
        UserLoginDto userLoginDto = new UserLoginDto();
        if (user.getUsername().equals(username) && user.getPassword().equals(SecureUtil.md5(password))) {
            userLoginDto.setUsername(username);
            userLoginDto.setStatus("登录成功");
            return userLoginDto;
        }
        userLoginDto.setStatus("账号或密码错误");
        return userLoginDto;
    }
}
