package com.hisense.monitormanage;

import com.alibaba.fastjson.JSONObject;
import com.hisense.monitormanage.service.*;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;

@SpringBootTest
class MonitorManageApplicationTests {

    @Autowired
    private RoadDataService roadDataService;
    @Autowired
    private MonitorService monitorService;

    @Autowired
    private QidiService qidiService;

    @Autowired
    private BuildingRecordsService buildingRecordsService;


//    @Test
//    void contextLoads() {
//        monitorService.buildingImage();
//    }

    @Test
    void start1() {
        buildingRecordsService.getAndSaveRecords();
    }

    @Test
    void start2() {
        roadDataService.saveRoadData();

    }


    @Test
    void videoService() throws IOException, InterruptedException {

        monitorService.videoService("", "");

        System.out.println(JSONObject.toJSONString(MonitorService.cameras));


    }


}
