package com.hisense.monitormanage;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication
@EnableSwagger2
@MapperScan("com.hisense.monitormanage.mapper")
@EnableCaching
@EnableScheduling
public class MonitorManageApplication {

    public static void main(String[] args) {
        SpringApplication.run(MonitorManageApplication.class, args);
    }

}
