package com.hisense.monitormanage.controller;

import com.hisense.monitormanage.entity.Result;
import com.hisense.monitormanage.service.SanitationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName SanitationController.java
 * @Description 环卫
 * @createTime 2022年05月19日 11:22:00
 */
@Api(tags = "环卫")
@RequestMapping("api/project/santation")
@RestController
public class SanitationController {
    @Autowired
    private SanitationService sanitationService;

    @GetMapping("/saveSantation")
    @ApiOperation("测试获取环卫车辆基础数据并保存到表中")
    public Result saveSantation() {
        return null;
    }


    @GetMapping("/saveSanitationRoad")
    @ApiOperation("测试获取环卫道路数据并保存到表中")
    public Result saveSanitationRoad() {
        return sanitationService.saveSanitationRoad();
    }

    @GetMapping("saveSanitationTask")
    @ApiOperation("测试获取环卫车作业数据并保存到表中")
    public Result saveSanitationTask() {
        return sanitationService.saveSanitationTask();
    }
}
