package com.hisense.monitormanage.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

@Data
public class BuildingRecordsDto {

    @ExcelProperty(value = {"工地名称"}, index = 0)
    private String projectName;//工地名称

    private String gdmc;//工地名称

    @ExcelProperty(value = {"建筑编号"}, index = 1)
    private String buildLicense;//建筑编号

    @ExcelProperty(value = {"推送时间"}, index = 2)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String pushTime;//推送时间

    @ExcelProperty(value = {"appid"}, index = 3)
    private String appid;

    @ExcelProperty(value = {"施工位置"}, index = 4)
    private String sgwz;//施工位置

    @ExcelProperty(value = {"经度"}, index = 5)
    private double jd;//经度

    @ExcelProperty(value = {"纬度"}, index = 6)
    private double wd;//纬度

    @ExcelProperty(value = {"所属区域"}, index = 7)
    private String ssdq;//所属区域

    @ExcelProperty(value = {"扬尘"}, index = 8)
    private double pm10;//扬尘

    @ExcelProperty(value = {"噪声"}, index = 9)
    private double noice;//噪声

    @ExcelProperty(value = {"夜间施工"}, index = 10)
    private String yjsg;//夜间施工

    @ExcelProperty(value = {"图片路径"}, index = 11)
    private String picUrl;//图片路径

    @ExcelProperty(value = {"摄像头编号"}, index = 12)
    private String channelCode;//摄像头编号

    @ExcelProperty(value = {"摄像头名称"}, index = 13)
    private String channelName;//摄像头名称

}
