package com.hisense.monitormanage.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

@Data
public class RoadDataDtos {
    private String regionName;

    private String streetName;

    private String roadName;

    private String start;

    private String end;

    private double lng;

    private double lat;

    private double pm10;

    private double pm25;

    private Integer descPm10Rank;

    private Integer ascPm10Rank;

    private Integer descPm25Rank;

    private Integer ascPm25Rank;

    private String points;

    @JsonFormat(pattern = "yyyy-MM-dd mm:HH:ss", timezone = "GMT+8")
    private String dt;

    @JsonFormat(pattern = "yyyy-MM-dd mm:HH:ss", timezone = "GMT+8")
    private String begin;

    @JsonFormat(pattern = "yyyy-MM-dd mm:HH:ss", timezone = "GMT+8")
    private String over;
}
