package com.hisense.monitormanage.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;

@Data
@TableName("t_event")
public class Event {

    @TableId
    private String id;

    private String eventCnName;

    private String eventSerial;

    private String color;

    private String vehicle;

    private String classes;

    private String cameraName;

    private String district;

    private BigDecimal latitude;

    private BigDecimal longitude;

    private String imageUrl;

    private String taskId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String captureTime;

    private String trackEvent;

}
