package com.hisense.monitormanage.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName SanitationRoad.java
 * @Description 环卫道路
 * @createTime 2022年05月20日 09:57:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_sanitation_road")
@ApiModel("环卫道路数据")
public class SanitationRoad {

    @TableField
    private Integer id;

    private String bh;

    private String dlmc;

    private String qdlkdlmc;

    private String zdlkdlmc;

    private String zcgdlxzc;

    private String bjdj;

    private double dlzd;

    private double dlkd;

    private double dlzmj;

    private double cxdmj;

    private double rxdmj;

    private double jsmj;

    private double ssmj;

    private double gycxmj;

    private Integer bjysl;

    private Integer gpxsl;

    private String ssqybh;

    private String ssjdbsc;

    private String sshwgsbh;

    private String zbjh;

    private String sfqy;

    private String bz;

    private String bh1;

    private Integer dtdlhzkd;

    private String zcgd;

    private String jsqz;

    private String cxqz;

    private String jj;

    private String tplj;

    private String zbdfxbz0zx1fx;

    private String fxzbxxid;

    private String ys;

    private double btmx;

    private Integer jsts;

    private String jspc;

    private Integer sfjs0bjs1js;

    private Integer sfss0bss1ss;

    private Integer sfcx0bcx1cx;

    private String sspc;

    private String cxpc;

    private Integer ssts;

    private Integer cxts;

    private String sfkh;

    private String updatetime;

}
