package com.hisense.monitormanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hisense.monitormanage.entity.Camera;
import com.hisense.monitormanage.dto.ChengguanDto;
import com.hisense.monitormanage.entity.Picture;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CameraMapper extends BaseMapper<Camera> {

    @Select("SELECT tc.pic,tc.capture_time AS captureTime FROM t_project_mtm_camera pmc JOIN t_camera tc ON pmc.project_id = #{id} AND pmc.camera_id = tc.`code` AND tc.pic IS NOT NULL")
    List<Picture> selectPicByProjectId(String id);

}
