package com.hisense.monitormanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hisense.monitormanage.dto.ChannelPictureDto;
import com.hisense.monitormanage.dto.PictureDto;
import com.hisense.monitormanage.entity.ChannelPicture;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ChannelPictureMapper extends BaseMapper<ChannelPicture> {

    @Select("select * from t_project p JOIN t_channel_picture cp JOIN t_project_mtm_camera pmc on p.id = pmc.project_id AND cp.channel_code = pmc.channel_code")
    List<ChannelPictureDto> selectByProject();

    @Select("select * from t_project p JOIN t_camera cp JOIN t_project_mtm_camera pmc on p.id = pmc.project_id AND cp.code = pmc.channel_code")
    List<PictureDto> selectByPicture();

}
