package com.hisense.monitormanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hisense.monitormanage.dto.PeopleRecognizeDto;
import com.hisense.monitormanage.entity.PeopleRecognize;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PeopleRecognizeMapper extends BaseMapper<PeopleRecognize> {

    @Select("select pr.*,cc.* from t_camera_channel cc JOIN t_people_recognize pr ON cc.channel_code = pr.channel_code")
    List<PeopleRecognizeDto> selectPeopleRecognize();

}
